KERNEL=gwtc2-tgr-tmp
FLAGS="--ExecutePreprocessor.kernel_name=${KERNEL} --ExecutePreprocessor.timeout=-1"

# install kernel
python -m ipykernel install --name "$KERNEL" --user

# run notebooks
jupyter nbconvert --to notebook --execute plot_pyring_domega_dtau_221.ipynb ${FLAGS}
jupyter nbconvert --to notebook --execute plot_pseob_results.ipynb ${FLAGS}
jupyter nbconvert --to notebook --execute tabulate_pyring_results.ipynb ${FLAGS}
jupyter nbconvert --to notebook --execute tabulate_freq_tau_results.ipynb ${FLAGS}

# remove kernel
jupyter kernelspec uninstall -f  $KERNEL

rm *.nbconvert.ipynb
